org.apache.commons.configuration2.builder

## Class JndiBuilderParametersImpl

- java.lang.Object
- - org.apache.commons.configuration2.builder.BasicBuilderParameters
  - - org.apache.commons.configuration2.builder.JndiBuilderParametersImpl

- All Implemented Interfaces:
    Cloneable, BasicBuilderProperties<BasicBuilderParameters>, BuilderParameters, JndiBuilderProperties<JndiBuilderParametersImpl>

      public class JndiBuilderParametersImpl
      extends BasicBuilderParameters
      implements JndiBuilderProperties<JndiBuilderParametersImpl>

  A specialized parameters object for JNDI configurations.

  In addition to the basic properties common to all configuration implementations, a JNDI configuration has some special properties defining the subset of the JNDI tree to be managed. This class provides fluent methods for setting these. The `getParameters()` method puts all properties defined by the user in a map from where they can be accessed by a builder for JNDI configurations.

  This class is not thread-safe. It is intended that an instance is constructed and initialized by a single thread during configuration of a `ConfigurationBuilder`.

  Since:
    2.0
  Version:
    $Id: JndiBuilderParametersImpl.java 1624601 2014-09-12 18:04:36Z oheger $

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

      `RESERVED_PARAMETER_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiBuilderParametersImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JndiBuilderParametersImpl` | `setContext(Context ctx)` Sets the JNDI context to be used by the JNDI configuration.
    `JndiBuilderParametersImpl` | `setPrefix(String p)` Sets the prefix in the JNDI tree.

    - ### Methods inherited from class org.apache.commons.configuration2.builder.BasicBuilderParameters

      `clone, copyPropertiesFrom, fetchBeanHelper, fetchInterpolatorSpecification, fetchProperty, getParameters, inheritFrom, merge, setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing, storeProperty`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JndiBuilderParametersImpl

          public JndiBuilderParametersImpl()

  - ### Method Detail

    - #### setContext

          public JndiBuilderParametersImpl setContext(Context ctx)

      Description copied from interface: `JndiBuilderProperties`
      Sets the JNDI context to be used by the JNDI configuration.
      Specified by:
        `setContext` in interface `JndiBuilderProperties<JndiBuilderParametersImpl>`
      Parameters:
        `ctx` - the JNDI `Context`
      Returns:
        a reference to this object for method chaining

    - #### setPrefix

          public JndiBuilderParametersImpl setPrefix(String p)

      Description copied from interface: `JndiBuilderProperties`
      Sets the prefix in the JNDI tree. When creating the root JNDI context this prefix is taken into account.
      Specified by:
        `setPrefix` in interface `JndiBuilderProperties<JndiBuilderParametersImpl>`
      Parameters:
        `p` - the prefix
      Returns:
        a reference to this object for method chaining

Copyright © 2001–2017 The Apache Software Foundation. All rights reserved.